Cyberduck Mountain Duck CLI

#2808 closed enhancement (worksforme)

"Select All", "Select None" options in overwrite prompt

Reported by: alexei.svitkine@… Owned by: dkocher
Priority: normal Milestone: 4.4
Component: interface Version: 3.0.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

When you try to download a lot of files, and the target location already has some of them, you are presented with a dialog allowing you to choose an action. IE: Overwrite files (and you check the ones that need to be overwritten).

If there is a large number of files, using this UI is terrible. Options should be added to check or uncheck all items in the list, and a contextual menu to check/uncheck selected items (when you right click).

Change History (9)

comment:1 Changed on Mar 19, 2009 at 4:52:45 PM by dkocher

  • Component changed from core to interface

comment:2 Changed on Jul 30, 2010 at 2:14:28 PM by dkocher

#4514 closed as duplicate.

comment:3 Changed on Aug 24, 2010 at 2:51:31 PM by dkocher

See also #4254.

comment:4 Changed on Nov 24, 2010 at 3:27:52 PM by dkocher

  • Summary changed from "Select All", "Select None" options needed in Overwrite window to "Select All", "Select None" options in overwrite prompt

comment:5 Changed on Feb 26, 2011 at 1:31:36 PM by dkocher

See also #5728.

comment:6 Changed on May 28, 2011 at 4:40:35 PM by Davideo

Agree. This feature would be very helpful.

comment:7 follow-up: Changed on Aug 21, 2013 at 4:59:51 PM by Vcize

Is there any word on this? The interface is basically unmanageable without it. If you have hundreds of files checking or unchecking each of them one by one is coma inducing.

It would also be nice if we could click the "+" and see only new files, not modified ones.

comment:8 in reply to: ↑ 7 Changed on Sep 15, 2013 at 8:52:14 AM by dkocher

Replying to Vcize:

It would also be nice if we could click the "+" and see only new files, not modified ones.

Related to #6140.

comment:9 Changed on Sep 17, 2013 at 4:12:02 PM by dkocher

  • Milestone set to 4.4
  • Resolution set to worksforme
  • Status changed from new to closed

Use the Skip transfer action to skip all existing files.

Note: See TracTickets for help on using tickets.
swiss made software